Log time against a task
curl --request PUT \
--url https://api.quiva.ai/workspaces/task/{task_id}/time-log \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time_spent": {
"time_in_seconds": 2
},
"started_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
'import requests
url = "https://api.quiva.ai/workspaces/task/{task_id}/time-log"
payload = {
"time_spent": { "time_in_seconds": 2 },
"started_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time_spent: {time_in_seconds: 2},
started_at: '2023-11-07T05:31:56Z',
description: '<string>'
})
};
fetch('https://api.quiva.ai/workspaces/task/{task_id}/time-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/task/{task_id}/time-log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'time_spent' => [
'time_in_seconds' => 2
],
'started_at' => '2023-11-07T05:31:56Z',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/task/{task_id}/time-log"
payload := strings.NewReader("{\n \"time_spent\": {\n \"time_in_seconds\": 2\n },\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.quiva.ai/workspaces/task/{task_id}/time-log")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"time_spent\": {\n \"time_in_seconds\": 2\n },\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/task/{task_id}/time-log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"time_spent\": {\n \"time_in_seconds\": 2\n },\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"estimate": {
"time_in_seconds": 123
},
"logs": [
{
"time_spent": {
"time_in_seconds": 2
},
"started_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"description": "<string>",
"user": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"spent": {
"time_in_seconds": 123
},
"remaining": {
"time_in_seconds": 123
},
"progress_percent": 123
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}API Reference
Log time against a task
Logs one entry per call. The server sets the id, the user and created_at, and ignores any value you send for them. There is no route to edit or delete a log: log a correcting entry instead. Returns the task’s whole time_tracking.
PUT
/
workspaces
/
task
/
{task_id}
/
time-log
Log time against a task
curl --request PUT \
--url https://api.quiva.ai/workspaces/task/{task_id}/time-log \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time_spent": {
"time_in_seconds": 2
},
"started_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
'import requests
url = "https://api.quiva.ai/workspaces/task/{task_id}/time-log"
payload = {
"time_spent": { "time_in_seconds": 2 },
"started_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time_spent: {time_in_seconds: 2},
started_at: '2023-11-07T05:31:56Z',
description: '<string>'
})
};
fetch('https://api.quiva.ai/workspaces/task/{task_id}/time-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/workspaces/task/{task_id}/time-log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'time_spent' => [
'time_in_seconds' => 2
],
'started_at' => '2023-11-07T05:31:56Z',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/workspaces/task/{task_id}/time-log"
payload := strings.NewReader("{\n \"time_spent\": {\n \"time_in_seconds\": 2\n },\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.quiva.ai/workspaces/task/{task_id}/time-log")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"time_spent\": {\n \"time_in_seconds\": 2\n },\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/workspaces/task/{task_id}/time-log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"time_spent\": {\n \"time_in_seconds\": 2\n },\n \"started_at\": \"2023-11-07T05:31:56Z\",\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"estimate": {
"time_in_seconds": 123
},
"logs": [
{
"time_spent": {
"time_in_seconds": 2
},
"started_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"description": "<string>",
"user": {
"id": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"spent": {
"time_in_seconds": 123
},
"remaining": {
"time_in_seconds": 123
},
"progress_percent": 123
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
Task id.
Body
application/json